Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.valuerange.descriptor
Interface ValueRangeDescriptor

All Known Subinterfaces:
  EntityIndependentValueRangeDescriptor

All Known Implementing Classes:
  AbstractFromPropertyValueRangeDescriptor, AbstractValueRangeDescriptor, CompositeValueRangeDescriptor, FromEntityPropertyValueRangeDescriptor, FromSolutionPropertyValueRangeDescriptor

    public interface ValueRangeDescriptor

Method Summary
`ValueRange<?>` | `extractValueRange(Solution solution, Object entity)`
`GenuineVariableDescriptor` | `getVariableDescriptor()`
`boolean` | `isCountable()`
`boolean` | `isEntityIndependent()` If this method return true, this instance is safe to cast to `EntityIndependentValueRangeDescriptor`, otherwise it requires an entity to determine the `ValueRange`.
`boolean` | `mightContainEntity()`

Method Detail

### getVariableDescriptor

    GenuineVariableDescriptor getVariableDescriptor()

  Returns:
    never null

### isCountable

    boolean isCountable()

  Returns:
    true if the `ValueRange` is countable (for example a double value range between 1.2 and 1.4 is not countable)

### isEntityIndependent

    boolean isEntityIndependent()

  If this method return true, this instance is safe to cast to `EntityIndependentValueRangeDescriptor`, otherwise it requires an entity to determine the `ValueRange`.

  Returns:
    true if the `ValueRange` is the same for all entities of the same solution

### mightContainEntity

    boolean mightContainEntity()

  Returns:
    true if the `ValueRange` might contain a planning entity instance (not necessarily of the same entity class as this entity class of this descriptor.

### extractValueRange

    ValueRange<?> extractValueRange(Solution solution,
                                    Object entity)

  Parameters:
    `solution` - never null
    `entity` - never null. To avoid this parameter, use `EntityIndependentValueRangeDescriptor.extractValueRange(Solution)` instead.
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.